Subject: Re: [BUG]: Testsuite failures on big-endian targets

From: Todd Zullinger <[email-masked]>
Date: Sat, 19 Oct 2019 20:26:48 -0400

Hello,

[+cc: Ævar]

John Paul Adrian Glaubitz wrote:
> The testsuite is failing again on s390x and all other big-endian targets in
> Debian. For a full build log on s390x see [1].
> 
> Adrian
> 
>> [1] https://buildd.debian.org/status/fetch.php?pkg=git&arch=s390x&ver=1%3A2.24.0%7Erc0-1&stamp=1571440098&raw=0

With t0500 resolved by <[email-masked]>,
that just leaves the one failure in t7812.

    Test Summary Report
    -------------------
    t7812-grep-icase-non-ascii.sh                    (Wstat: 256 Tests: 11 Failed: 1)
      Failed test:  11
      Non-zero exit status: 1
    Files=879, Tests=21880, 404 wallclock secs ( 3.38 usr  1.15 sys + 440.87 cusr 729.29 csys = 1174.69 CPU)
    Result: FAIL

The failing test output:

    expecting success of 7812.11 'PCRE v2: grep non-ASCII from invalid UTF-8 data with -i': 
        test_might_fail git grep -hi "Æ" invalid-0x80 >actual &&
        test_cmp expected actual &&
        test_must_fail git grep -hi "(*NO_JIT)Æ" invalid-0x80 &&
        test_cmp expected actual
    ++ test_might_fail git grep -hi Æ invalid-0x80
    ++ test_must_fail ok=success git grep -hi Æ invalid-0x80
    ++ case "$1" in
    ++ _test_ok=success
    ++ shift
    ++ git grep -hi Æ invalid-0x80
    fatal: pcre2_match failed with error code -22: UTF-8 error: isolated byte with 0x80 bit set
    ++ exit_code=128
    ++ test 128 -eq 0
    ++ test_match_signal 13 128
    ++ test 128 = 141
    ++ test 128 = 269
    ++ return 1
    ++ test 128 -gt 129
    ++ test 128 -eq 127
    ++ test 128 -eq 126
    ++ return 0
    ++ test_cmp expected actual
    ++ diff -u expected actual
    --- expected    2019-10-19 21:56:08.634252012 +0000
    +++ actual      2019-10-19 21:56:08.714252012 +0000
    @@ -1 +0,0 @@
    -ævar
    error: last command exited with $?=1
    not ok 11 - PCRE v2: grep non-ASCII from invalid UTF-8 data with -i
    #       
    #               test_might_fail git grep -hi "Æ" invalid-0x80 >actual &&
    #               test_cmp expected actual &&
    #               test_must_fail git grep -hi "(*NO_JIT)Æ" invalid-0x80 &&
    #               test_cmp expected actual
    #       
    # failed 1 among 11 test(s)

I'm not flush on time to even try to look much; but I'd be
kidding myself if I said I was likely to find the issue
quickly. ;)

But I'm pretty sure it will be obvious to someone here.

-- 
Todd